{ config, lib, ... }:
with lib;
{
  config = mkIf (config.components.network.sshd.enable) {

    services.openssh.knownHosts = {
      #"robi_init" = {
      #  hostNames = [
      #    "robi:2222"
      #    "144.76.13.147:2222"
      #  ];
      #  fingerprints
      #  256 SHA256:rhvbJ84cPXXezaoJiY7tFsG8CJxI2F/lLKz8q+xUW+g root@rescue (ED25519)
      # 3072 SHA256:KBVMQLNWaDpzlCZERN9OeEDFAhUoADOZRfenXWHxswU root@rescue (RSA)
      #  publicKey = "";
      #};
      "robi" = {
        hostNames = [
          "robi.private"
          "robi"
          "144.76.13.147"
          "git.ingolf-wagner.de"
          "taskd.ingolf-wagner.de"
        ];
        publicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK2PGX6cZuBUGX4VweMzi0aRh4uQ61yngCzZGcK3w5XV";
      };
    };
  };
}
