{
  services.telegraf = {
    enable = true;
    extraConfig = {
      outputs.prometheus_client = {
        listen = ":9273";
        metric_version = 2;
      };
      # https://github.com/influxdata/telegraf/tree/master/plugins/inputs < all them plugins
      inputs = {
        cpu = { };
        diskio = { };
        processes = { };
        systemd_units = { };
        nginx.urls = [ "http://localhost/nginx_status" ];
      };
    };
  };
}
