{ pkgs ? import <nixpkgs> { } }:

pkgs.mkShell {

  buildInputs = with pkgs; [
    pkgs.python3Packages.GitPython
    pkgs.python3Packages.ipython
    pkgs.python3Packages.elasticsearch
    pkgs.python3Packages.click

    (pkgs.callPackage ./default.nix { })
  ];

  shellHook = ''
    HISTFILE=${toString ./.}/.history
  '';
}
