{ config, lib, pkgs, ... }:

with lib;

let

  cfg = config.configuration.desktop;

in
{

  options.configuration.desktop = {
    height = mkOption {
      default = 900;
      type = with types; int;
      description = ''
        height of the dektop monitor
      '';
    };
    width = mkOption {
      default = 1600;
      type = with types; int;
      description = ''
        width of the desktop monitor
      '';
    };
  };

}
