{ pkgs, config, lib, ... }: {

  # no need to to start a service
  environment.systemPackages =
    let

      nginxShowConfig = pkgs.writers.writePython3Bin "nginx-show-config"
        {
          flakeIgnore = [ "E265" "E225" "W292" ];
        }
        (lib.fileContents ../../assets/nginx-show-config.py);
    in
    [
      pkgs.mosh

      # nginxfmt
      pkgs.nginx-config-formatter
      nginxShowConfig
    ];
}
