{ config, ... }: {
  services.netdata = {
    enable = true;
    config = {
      #"exporting:global" = { "enabled" = "yes"; };
      global = {
        "memory mode" = "dbengine";
        "dbengine disk space" = 1024 * 10; # in MB
        "debug log" = "none";
        "access log" = "none";
        "error log" = "syslog";
      };
    };
  };

  services.nginx.enable = true;
  services.nginx.virtualHosts."netdata.${config.workadventure.domain}" = {
    enableACME = true;
    forceSSL = true;
    basicAuth.admin = "NYsXfBKRwkkS60WIeZONtFTv3nz4tPy52uqLkzJzuc";
    locations."/" = {
      proxyPass = "http://localhost:19999";
      proxyWebsockets = true;
    };
  };
}
