# Create a easy to use Image for translation

using [nixos-generators](https://github.com/nix-community/nixos-generators).

## generate easy to use iso

```
nixos-generate -f install-iso -c config.nix
```

## generate vmware image

```
nixos-generate -f vmware -c config.nix
```

## run locally using qcow

```
nixos-generate --run -c config.nix
```

## how to install nixos-generators

```
nix-shell -I nixpkgs=channel:nixos-unstable -p nixos-generators
```

## how to start download service

```
iptables -F # kill firewall
python -m http.server 80 # nix-shell -p python3Full
```
