{ pkgs, lib, ... }:
with lib;
{
  options.components.gui = {
    enable = lib.mkEnableOption "GUI configurations";
  };

  imports = [
    # todo : structure with home-manager and such is not cool, create another structure
    ./xorg
    ./home-manager
    ./browser.nix
    ./suspend.nix
    ./pass.nix
    ./audio.nix
    ./kmonad.nix
    ./taskwarrior.nix
    ./style.nix
  ];

  config = mkIf config.components.gui.enable {
    # todo extract xorg stuff to prepare wayland
  };
}
