{ pkgs, lib, ... }:
with lib;
{
  options.components.terminal = {
    enable = mkOption {
      type = types.bool;
      default = true;
    };
  };

  imports = [
    ./direnv.nix
    ./git.nix
    ./hoard.nix
    ./oh-my-posh
    ./remote-install.nix
    ./wtf.nix
    ./zsh.nix
  ];

  config = mkIf config.components.terminal.enable {
    # todo extract xorg stuff to prepare wayland
  };
}
