# https://dataswamp.org/~solene/2022-10-06-nixos-kiosk.html
{ pkgs, config, ... }:
{
  services.cage = {
    enable = true;
    user = "kiosk";
    program = "${pkgs.firefox}/bin/firefox -kiosk -private-window http://grafana.chungus.private/d/0d1dfFU4k/default-dashboard?orgId=1&kiosk";
  };
  users = {
    users.kiosk = {
      isNormalUser = true;
      name = "kiosk";
      group = config.users.groups.kiosk.name;
    };
    groups.kiosk = {
      name = "kiosk";
    };
  };
  # make sure cage ist starting instead of getty
  systemd.defaultUnit = "graphical.target";

}
