{ lib, ... }: {

  services.mosquitto = {
    enable = true;
    listeners = [{
      acl = [ "pattern readwrite #" ];
      omitPasswordAuth = true;
      settings.allow_anonymous = true;
    }];
  };

  networking.firewall.allowedTCPPorts = [ 1883 ];

}
