{ lib, config, pkgs, ... }: {

  backup.enable = true;

  # provide repository
  services.borgbackup.repos = {
    default = {
      quota = "300G";
      allowSubRepos = true;
      authorizedKeys = [
        (lib.fileContents ../../assets/ssh/borg_access.pub)
        (lib.fileContents ../../assets/ssh/palo_rsa.pub)
      ];
    };
  };


}
