{ config, lib, pkgs, ... }:

{
  services.grocy = {
    enable = true;
    settings = {
      culture = "de";
      currency = "EUR";
    };
    hostName = "grocy.ingolf-wagner.de";
    nginx.enableSSL = true;
  };

  backup.dirs = [ config.services.grocy.dataDir ];

}
